Page 1 of 1

ATOM and older Presonus interface UC question

Posted: Mon Dec 17, 2018 12:28 pm
by WaterlooSunset
Hello all,
I have 2 FS Mobile (1 is a spare) and have no real showstopper issues with them for years. They just chug along. I want to keep then until my next updated PC build, maybe in 3 years. .
The FS Mobile is discontinued. UC not updated anymore.
I assume i cant install the required UC that the ATOM uses since it will overwrite my current UC and no idea what that will do to FSM..

What will i be missing if I don't install the UC that supports the ATOM?
I think it is needed to update FW.
I could run it, update ATOM FW, then downgrade?
Will I lose what functionality if any not running newest with Atom?

Thanks is advance!

Re: ATOM and older Presonus interface UC question

Posted: Mon Dec 17, 2018 3:37 pm
by Skip Jones
I'm guessing no, especially with full integration.
Last UC was 1.7.6.

https://www.presonus.com/products/ATOM/tech-specs

Re: ATOM and older Presonus interface UC question

Posted: Tue Dec 18, 2018 1:53 pm
by matthewgorman
There was an earlier issue with having 1.xx and 2.xx versions of UC on the same PC, but I believe that was resolved.

Just in case you still need a workaround, you need to install 2.xx UC first for the Atom, then reinstall 1.7.6 for the FSM, and it should work.

Re: ATOM and older Presonus interface UC question

Posted: Tue Jan 01, 2019 8:46 am
by WaterlooSunset
Thanks, I just saw this reply.
Good to know, lets recover from the holiday $$$ spree and see.